<div class="row">

  <div class="col-6 card shadow mx-auto">

    <h3 class="text-center mt-3">WELCOME ! LOGIN NOW ;)</h3>

    <div *ngIf="errMsg" class="alert alert-danger p-2 text-center">{{errMsg}}</div>

    <form #authForm="ngForm" (ngSubmit)="onSubmitLogin(authForm)" class="m-3">

      <div class="form-group">
        <label for="username">Username</label>
        <input type="text"
               class="form-control"
               id="username"
               name="username"
               placeholder="Username"
               ngModel
               required>
      </div>

      <div class="form-group">
        <label for="password">Password</label>
        <input type="password"
               class="form-control"
               id="password"
               name="password"
               placeholder="Password"
               ngModel
               minlength="6"
               required>
      </div>

      <div class="text-center">
        <button type="submit"
                class="btn btn-dark btn-lg mb-2"
                [disabled]="authForm.invalid">LOG IN</button>
      </div>

    </form>

  </div>

</div>
